---
    - name: Configure Role for K8S Auth Method
      hashivault_k8s_auth_role:
        url: "{{ vault_url }}"
        username: "{{ vault_username }}"
        password: "{{ vault_password }}"
        authtype: "userpass"
        mount_point: "{{ cluster_name }}"
        name: "{{ client_name }}-role"
        policies: ["{{ client_name }}-ro"]
        bound_service_account_names: ["{{ operator_service_account }}"]
        bound_service_account_namespaces: ["{{ operator_namespace }}"]

    - name: Annotate permitted-role on the namespace
      shell: "oc annotate namespace {{ client_name }} externalsecrets.kubernetes-client.io/permitted-role='{{ client_name }}-role' --overwrite"

    - name: Annotate key-value on the namespace
      shell: "oc annotate namespace {{ client_name }} externalsecrets.kubernetes-client.io/permitted-key-name='{{ client_name }}/data/.*' --overwrite"

